Name:             knemo
Version:          0.6.80
Release:          1%{?dist}
Summary:          A KDE network monitoring tool
Group:            Applications/Internet
License:          GPLv2+
URL:              http://extragear.kde.org/apps/knemo/
Source0:          http://kde-apps.org/CONTENT/content-files/12956-%{name}-%{version}.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    cmake desktop-file-utils gettext
BuildRequires:    kdelibs4-devel wireless-tools-devel libnl-devel

%{?_kde4_version:Requires: kdelibs4 >= %{_kde4_version}}

%description
KNemo displays for every network interface an icon in the systray. Tooltips
and an info dialog provide further information about the interface. Passive
popups inform about interface changes. A traffic plotter is also integrated.
It polls the network interface status every second using the ifconfig, route
and iwconfig tools.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} -DLEGACY_TRAY_ICON=true ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name}
%find_lang kcm_%{name}
cat kcm_%{name}.lang >> %{name}.lang

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_kde4_bindir}/%{name}
%{_kde4_libdir}/kde4/kcm_knemo.so
%{_kde4_appsdir}/%{name}
%{_kde4_appsdir}/kconf_update/%{name}*
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_datadir}/kde4/services/kcm_knemo.desktop
%{_kde4_datadir}/autostart/%{name}.desktop
%{_kde4_iconsdir}/hicolor/*/apps/%{name}*
%{_kde4_iconsdir}/hicolor/22x22/status/%{name}*

%changelog
* Fri Sep  3 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.6.80-1
- KNemo 0.7.0 beta1
- Requires: kdelibs4

* Tue Jun 15 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.6.3-1
- update to 0.6.3

* Sat Apr 10 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.6.2-2
- disabled new KStatusNotifierItem for now (kde#226650)

* Fri Apr  9 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.6.2-1
- update to 0.6.2

* Mon Jan 18 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.6.1-2
- update to 0.6.1

* Fri Dec  4 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.6.0-1
- update to 0.6.0

* Thu Nov 19 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.5.80-2
- rebuild (qt-4.6.0-rc1, fc13+)

* Fri Nov  6 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.5.80-1
- update to 0.5.80 (0.6.0 beta1)
- drop xdg-utils references
- removed Requires net-tools wireless-tools

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr  1 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.5.2-1
- Update to version 0.5.2
- Fixed spec License and URL fields

* Tue Mar 17 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.5.1-5
- Upstream update from git.mehercule.net

* Thu Mar  5 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.5.1-1
- Update to version 0.5.1

* Wed Feb 25 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.5.0-3
- Update to version 0.5.0 for KDE4

* Tue Apr 17 2007 Francois Aucamp <faucamp@csir.co.za> - 0.4.7-1
- Update to version 0.4.7
- Removed unnecessary desktop-file-install statements (KDE-specific desktop
  files)
- Removed desktop file patch - desktop file "Keywords" keys used internally
  by KDE
- Added "OnlyShowIn=KDE" to kcm desktop file
- Removed unnecessary BuildRequires: qt-devel desktop-file-utils
- Simplified %%post and %%postun scriplets
- Use RPM_BUILD_ROOT variable format consistently

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.3-2
- Rebuilt for FC6

* Sun Aug  6 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.3-1
- New upstream version

* Mon Jun 26 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.2-1
- Upstream update
- Fixes crashing when you click in panel icon (bz #196576)
- ifconfig and iwconfig are now in both Requires and
  BuildRequires (it checks while building too)

* Tue Jun 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.1-2
- ifconfig and iwconfig are now in Requires section instead
  of BuildRequires. They are runtime dependencies. Thanks to
  Kevin Kofler for pointing this.

* Mon Jun 12 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.1-1
- Upstream update

* Tue May 30 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-4
- Created BuildRequires for the ifconfig and iwconfig commands,
  as knemo utilizes it for monitoring.
- Removed addition of categories in desktop-file-install command

* Thu May 25 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-3
- Removed vendor option from desktop-file-install (no renaming)

* Sat May 20 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-2
- Installed .desktop files now use desktop-file-install

* Sat May 20 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-1
- Initial RPM release.
